id2seq {lumi} | R Documentation

## Transfer a nuID as a nucleotide sequence

### Description

The nuID (nucleotide universal identifier) is uniquely corresponding to probe sequence. The nuID is also self-identification and error checking

### Usage

    id2seq(id)

### Arguments

`id` | a nuID (nucleotide universal identifier)

### Details

A reverse of `seq2id`. Please refer to reference for more details.

### Value

a string of nucleotide sequence

### Author(s)

Pan Du

### References

Du, P., Kibbe, W.A. and Lin, S.M., "nuID: A universal naming schema of oligonucleotides for Illumina, Affymetrix, and other microarrays", Biology Direct 2007, 2:16 (31May2007).

### See Also

`seq2id`

### Examples

    seq <- 'ACGTAAATTTCAGTTTAAAACCCCCCG'
    id <- seq2id(seq)
    id
    id2seq(id)

[Package lumi version 1.10.2 Index]